from PyQt5 import QtWidgets


class Ui_dialog:
    dialogLayout: QtWidgets.QVBoxLayout
    splitPanelContainer: QtWidgets.QHBoxLayout
    leftPanel: QtWidgets.QVBoxLayout
    scrollArea: QtWidgets.QScrollArea
    scrollAreaWidgetContents: QtWidgets.QWidget
    verticalLayout: QtWidgets.QVBoxLayout
    constraintsGroup: QtWidgets.QGroupBox
    verticalLayout_6: QtWidgets.QVBoxLayout
    constraintsGrid: QtWidgets.QGridLayout
    linesLayer: QtWidgets.QComboBox
    usePoints: QtWidgets.QCheckBox
    useLines: QtWidgets.QCheckBox
    pointsLayer: QtWidgets.QComboBox
    dividingGroup: QtWidgets.QHBoxLayout
    useDivCons: QtWidgets.QCheckBox
    divConsField: QtWidgets.QComboBox
    angleRow: QtWidgets.QHBoxLayout
    useGlobalMinAngle: QtWidgets.QCheckBox
    globalMinAngle: QtWidgets.QDoubleSpinBox
    areaRow: QtWidgets.QHBoxLayout
    useGlobalMaxArea: QtWidgets.QCheckBox
    globalMaxArea: QtWidgets.QDoubleSpinBox
    customArgsRow: QtWidgets.QHBoxLayout
    useCustomArgs: QtWidgets.QCheckBox
    customArgs: QtWidgets.QLineEdit
    regionsGroup: QtWidgets.QGroupBox
    verticalLayout_7: QtWidgets.QVBoxLayout
    regionsGrid: QtWidgets.QGridLayout
    useMatid: QtWidgets.QCheckBox
    useMaxArea: QtWidgets.QCheckBox
    regionsLayer: QtWidgets.QComboBox
    regionLayerLabel: QtWidgets.QLabel
    useHole: QtWidgets.QCheckBox
    holeField: QtWidgets.QComboBox
    matidField: QtWidgets.QComboBox
    maxAreaField: QtWidgets.QComboBox
    meshDomainGroup: QtWidgets.QGroupBox
    meshDomainGroupLayout: QtWidgets.QVBoxLayout
    keepConvexHull: QtWidgets.QRadioButton
    shrinkToSegments: QtWidgets.QRadioButton
    customBoundaryRow: QtWidgets.QHBoxLayout
    customBoundary: QtWidgets.QRadioButton
    boundaryLayer: QtWidgets.QComboBox
    stringDefGroup: QtWidgets.QGroupBox
    verticalLayout_5: QtWidgets.QVBoxLayout
    stringDefGrid: QtWidgets.QGridLayout
    stringDefLayerLabel: QtWidgets.QLabel
    stringDefField: QtWidgets.QComboBox
    stringDefLayer: QtWidgets.QComboBox
    stringDefFieldLabel: QtWidgets.QLabel
    includeInMesh: QtWidgets.QCheckBox
    writeToSidecar: QtWidgets.QCheckBox
    stringDefFileRow: QtWidgets.QHBoxLayout
    limitStringDefRow: QtWidgets.QHBoxLayout
    limitStringDefs: QtWidgets.QCheckBox
    maxStringDefLength: QtWidgets.QSpinBox
    stringDefPath: QtWidgets.QLineEdit
    stringDefBrowseBtn: QtWidgets.QPushButton
    settingsGroup: QtWidgets.QGroupBox
    settingsGroupLayout: QtWidgets.QGridLayout
    logLevel: QtWidgets.QComboBox
    enableSnapping: QtWidgets.QCheckBox
    disableCleaning: QtWidgets.QCheckBox
    logLevelLabel: QtWidgets.QLabel
    snappingLayout: QtWidgets.QHBoxLayout
    snappingTolerance: QtWidgets.QSpinBox
    outputGroup: QtWidgets.QGroupBox
    verticalLayout_4: QtWidgets.QVBoxLayout
    fileRow: QtWidgets.QHBoxLayout
    filePath: QtWidgets.QLineEdit
    fileBrowseBtn: QtWidgets.QPushButton
    optionsRow: QtWidgets.QHBoxLayout
    keepTempFiles: QtWidgets.QCheckBox
    addToMap: QtWidgets.QCheckBox
    tabWidget: QtWidgets.QTabWidget
    logTab: QtWidgets.QWidget
    logTabLayout: QtWidgets.QVBoxLayout
    log: QtWidgets.QPlainTextEdit
    exportRow: QtWidgets.QHBoxLayout
    saveLogBtn: QtWidgets.QPushButton
    clearLogBtn: QtWidgets.QPushButton
    helpTab: QtWidgets.QWidget
    helpTabLayout: QtWidgets.QVBoxLayout
    help: QtWidgets.QTextEdit
    bottomBar: QtWidgets.QVBoxLayout
    progressBarRow: QtWidgets.QHBoxLayout
    progressBar: QtWidgets.QProgressBar
    cancelBtn: QtWidgets.QPushButton
    buttonRow: QtWidgets.QHBoxLayout
    status: QtWidgets.QLabel
    runBtn: QtWidgets.QPushButton
    closeBtn: QtWidgets.QPushButton

    def setupUi(self, dialog: QtWidgets.QDialog) -> None:
        ...
